Library Version 11.2.5.3

DbEnv::get_thread_count()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_thread_count()

    #include <db_cxx.h>

    int
    DbEnv::get_thread_count(u_int32_t *countp);

The `DbEnv::get_thread_count()` method returns the thread count as set by the DbEnv::set_thread_count() method.

The `DbEnv::get_thread_count()` method may be called at any time during the life of the application.

The `DbEnv::get_thread_count()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### countp

The `DbEnv::get_thread_count()` method returns the thread count in countp.

### Class

DbEnv

### See Also

Database Environments and Related Methods, DbEnv::set_thread_count()

Prev | Up | Next
DbEnv::get_shm_key() | Home | DbEnv::get_timeout()